#
# spec file for package python-subprocrunner
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define skip_python2 1
Name:           python-subprocrunner
Version:        2.0.1
Release:        1.2
Summary:        A Python wrapper library for subprocess module
License:        MIT
Group:          Development/Languages/Python
URL:            https://github.com/thombashi/subprocrunner
Source:         https://files.pythonhosted.org/packages/source/s/subprocrunner/subprocrunner-%{version}.tar.gz
BuildRequires:  %{python_module setuptools >= 38.3.0}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-loguru >= 0.4.1
Requires:       python-mbstrdecoder >= 1.0.0
Requires:       python-typepy
BuildArch:      noarch
# SECTION test requirements
BuildRequires:  hostname
BuildRequires:  %{python_module loguru >= 0.4.1}
BuildRequires:  %{python_module mbstrdecoder >= 1.0.0}
BuildRequires:  %{python_module pytest-mock}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module typepy}
# /SECTION
%python_subpackages

%description
A Python wrapper library for subprocess module.

%prep
%setup -q -n subprocrunner-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest

%files %{python_files}
%license LICENSE
%doc README.rst
%{python_sitelib}/subprocrunner*

%changelog
* Sat Apr 20 2024 Dirk Müller <dmueller@suse.com>
- update to 2.0.1:
  * Add `__all__` to `__init__.py`
  * Update the package metadata
  * Drop support for Python 3.6
  * Add support for Python 3.11 and 3.12
  * Fix type annotations
* Fri Nov 11 2022 pgajdos@suse.com
- silent rpmlint
* Fri Nov 11 2022 pgajdos@suse.com
- python-six is not required
* Tue Oct 11 2022 Yogalakshmi Arunachalam <yarunachalam@suse.com>
- Update to version 2.0.0
  Drop support for Python 3.5
  Add input/encoding keyword arguments to run method
  Add raise_for_returncode method to SubprocessRunner class
* Thu Apr 21 2022 Matej Cepl <mcepl@suse.com>
- Add missing BR hostname
* Sat Jun  5 2021 Martin Hauke <mardnh@gmx.de>
- Update to version 1.6.0
  * Add __repr__ method to Retry/SubprocessRunner classes
  * Fix to properly suppress debug logs when quiet=True
  * Fixed to save command history at runtime
* Fri Jun  4 2021 Martin Hauke <mardnh@gmx.de>
- Update to version 1.5.0
  * Add no_retry_returncodes parameter to Retry class
- Update to version 1.4.2
  * Fix retry processing
  * Modify log messages
- Update to version 1.4.1
  * Fix retry processing
- Update to version 1.4.0
  * Add quiet mode support for SubprocessRunner/Retry
  * Modify a retry log message
- Update to version 1.3.0
  * Add timeout keyword argument to SubprocessRunner.run:
  * Add support for retry functionality to SubprocessRunner.run
  * Add SubprocessRunner.Retry class
  * Modify type annotation of SubprocessRunner.run return value
* Sun May 16 2021 Matej Cepl <mcepl@suse.com>
- Don't require pytest-runner, when we don't need it.
* Thu May 13 2021 Martin Hauke <mardnh@gmx.de>
- Update to version 1.2.2
  * Add support for Python 3.10
  * Modify type annotations
  * Add subprocrunner.typing
* Sat Apr  4 2020 Martin Hauke <mardnh@gmx.de>
- version update to 1.2.1
  * no upstream changelog this time
* Fri Mar 20 2020 Martin Hauke <mardnh@gmx.de>
- Update to version 1.2.0
  * Add follow_symlinks argument to Which constructor
  * Improve path existence check for Which
  * Modify an error handling when a command not specified for Which
  * Fix to include py.typed to the package
* Tue Mar 17 2020 pgajdos@suse.com
- version update to 1.1.0
  * no upstream changelog this time
* Sun Feb 16 2020 Martin Hauke <mardnh@gmx.de>
- Update to version 1.0.0
  * Drop Python 2 support
  * Add type annotations and py.typed to the package
  * Replace the logging library from Logbook to loguru
  * Remove deprecated error classes
  * Remove deprecated methods
* Thu Feb  6 2020 Martin Hauke <mardnh@gmx.de>
- Update to version 0.17.2
- Specfile cleanup
* Fri May 10 2019 John Vandenberg <jayvdb@gmail.com>
- Initial spec for v0.17.0
